from raindropio import API, Collection, Raindrop, CollectionRef  
#from flask_oauthlib.client

raidrop_access_token = "f25eafb7-2d6f-4c50-9239-5b9703e29a9e"
api = API(raidrop_access_token)

l = []


collections = Collection.get_roots(api)
page = 0  
while (items:=Raindrop.search(api, collection=CollectionRef.Unsorted, page=page)):
    for item in items:
        l.append(item.link)
    page += 1
for col in collections:
    page = 0
    while (items:=Raindrop.search(api, collection=col, page=page)):
        for item in items:
            l.append(item.link)
        page += 1

for link in l:
    print(link) 